<?php

function mp_php_to_js($php_var, $js_var_name) {
	$js_var  = 'let ' . $js_var_name . ' = ';
	$js_var .= json_encode($php_var);
	$js_var .= ';';
	return $js_var;
}

function mp_add_to_scripts($to_add) {
	global $mp_icon_size;
	global $mp_icon_color;
	global $mp_icon_color_back;
	global $mp_icon_size_factor;
	global $mp_zoom;
	global $mp_coordinates_default;
	global $mp_icon_stroke_width;
	global $mp_max_zoom;

	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_icon_size, 'icon_size'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_icon_color, 'icon_color'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_icon_color_back, 'icon_color_back'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_icon_size_factor, 'icon_size_factor'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_zoom, 'map_zoom'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_coordinates_default, 'coordinates_default'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_icon_stroke_width, 'icon_stroke_width'), 'before');
	wp_add_inline_script('mp_init_map', mp_php_to_js($mp_max_zoom, 'max_zoom'), 'before');

	foreach ($to_add as $key => $var) {
		wp_add_inline_script('mp_init_map', mp_php_to_js($var, $key), 'before');
	}
}

?>
